Need translated fallback message in gnome-session

Bug #758621 reported by Chad A. Davis on 2011-04-12
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
High
Unassigned
gnome-session (Ubuntu)
High
Didier Roche
Natty
High
Didier Roche

Bug Description

The message presented when Unity cannot be started (missing 3D) has not been translated into German. I checked the gnome-session translation and find no 'untranslated' string. Maybe this translation string does not yet exist?. The entire system has been installed in German, i.e. gdm runs in German, but the warning is untranslated.

The text is (screenshot attached)

"It seems that you do not have the hardware required to run Unity. Please choose the Ubuntu Classic Desktop at the login screen and you will be using the traditional environment."

This is from Natty dev. branch 2011-04-12 (candidate for beta 2)

El dt 12 de 04 de 2011 a les 10:09 +0000, en/na Chad A. Davis va
escriure:
> ** Attachment added: "gnome-session unity fallback not localized"
> https://bugs.launchpad.net/bugs/758621/+attachment/2023312/+files/Screenshot-ubuntu-desktop%20%5BRunning%5D%20-%20VirtualBox%20OSE-2.png
>

 assignee ubuntu-l10n-de

--
David Planella
Ubuntu Translations Coordinator
www.ubuntu.com / www.davidplanella.wordpress.com
www.identi.ca/dplanella / www.twitter.com/dplanella

Changed in ubuntu-translations:
assignee: nobody → Ubuntu German Translators (ubuntu-l10n-de)
Changed in ubuntu-translations:
importance: Undecided → High

Confirmed with today's ISO (17-Apr-2011 09:28)

Changed in ubuntu-translations:
status: New → Triaged
summary: - Need German fallback message in gnome-session
+ Need translated fallback message in gnome-session
Changed in gnome-session (Ubuntu):
importance: Undecided → High
status: New → Triaged
David Planella (dpm) on 2011-04-26
Changed in ubuntu-translations:
assignee: Ubuntu German Translators (ubuntu-l10n-de) → nobody
Didier Roche (didrocks) wrote :

The issue was in gnome-session not loading the translation as it's a .session file and not .desktop one

Changed in gnome-session (Ubuntu Natty):
status: Triaged → Fix Committed
assignee: nobody → Didier Roche (didrocks)
Changed in gnome-session (Ubuntu Natty):
milestone: none → natty-updates
Changed in ubuntu-translations:
status: Triaged → Invalid

Accepted gnome-session into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Nobuto Murata (nobuto) wrote :

gnome-session 2.32.1-0ubuntu20/natty-proposed works fine. Translated message is now shown properly.

tags: added: verification-done
removed: verification-needed
Chad A. Davis (chadadavis) wrote :

Fix confirmed for German and French.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 2.32.1-0ubuntu20

---------------
gnome-session (2.32.1-0ubuntu20) natty-proposed; urgency=low

  * debian/patches/02_add_ubuntu_session.patch,
    debian/patches/05_enhance_fallback_mode.patch:
    - load the fallback message with the right locale (LP: #758621)
 -- Didier Roche <email address hidden> Tue, 26 Apr 2011 12:49:01 +0200

Changed in gnome-session (Ubuntu Natty):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied to oneiric as well.

Changed in gnome-session (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers